#!/bin/sh

SYS_GDL_DIR=/usr/share/gnudatalanguage/lib/

if [ "$1" = "-l" ] ; then
    MPFIT_DIR="${PWD}"
else
    MPFIT_DIR="/usr/share/gnudatalanguage/mpfit/"
fi

export GDL_PATH=${PWD}/debian/tests:${SYS_GDL_DIR}:${MPFIT_DIR}

if [ "$ADTTMP" ] ; then
    cd "$ADTTMP"
fi

exec gdl -e test_mpfit 2>&1 <<EOF
exit, status=2
EOF
